import { fileURLToPath, URL } from 'node:url';

import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
console.log('process.argv :>> ', process.argv);

const base = process.argv.includes('-beta') ? '/beta' : '/';

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue()],
  base,
  resolve: {
    alias: {
      '@images': fileURLToPath(new URL('./src/assets/images',
        import.meta.url)),
      '@': fileURLToPath(new URL('./src',
        import.meta.url)),
    }
  }
})